# Get User Settings

## Get User Device Settings

<mark style="color:green;">`POST`</mark> `https://api.parqex.com/oauth/v1/endpoints/user-info`

#### Headers

| Name            | Type   | Description                      |
| --------------- | ------ | -------------------------------- |
| Accept          | string | Always set to `application/json` |
| Content-Type    | string | Always set to `application/json` |
| Authorization   | string | Set to `Bearer <ACCESS_TOKEN>`   |
| Accept-Charset  | string | Always set to `utf-8`            |
| Accept-Encoding | string | Always set to `gzip`             |

{% tabs %}
{% tab title="200 User settings received successfully" %}

```
{
    "success": true,
    "timestamp": ,
    "data": {
        "door_open_alert_notification_enabled": true,
        "door_open_alert_notification_tone": "door_open",
        "time_zone": "America/New_York",
        "pin_code": "1234"
    }
}
```

{% endtab %}

{% tab title="400 " %}

```
{
    "errors": [
        { 
            "message": "<ERROR MESSAGE>"
        }
    ]
}
```

{% endtab %}

{% tab title="401 " %}

```
{
    "errors": [
        { 
            "message": "<ERROR MESSAGE>"
        }
    ]
}
```

{% endtab %}

{% tab title="500 " %}

```
{
    "errors": [
        { 
            "message": "The server encountered an unexpected condition that prevented it from fulfilling the request."
        }
    ]
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.parqex.com/-MUyxAVrX9S4wky8UoX6/api-endpoints/get-user-settings.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
